package resolver

import (
	"context"
	"net"
)

// Interface that IP Lookup Services must implement.
type Service interface {
	// Get the name of the serivce
	Name() string

	// Lookup the public ip.
	Lookup(ctx context.Context) (net.IP, error)
}
